#---------------------------------------------------------------
# Project         : LADS
# Module          : lads
# File            : ladslog.py
# Version         : $Id: ladslog.py,v 1.2 2003/12/09 15:16:58 fred Exp $
# Author          : Frederic Lepied
# Created On      : Mon Feb 17 10:59:04 2003
# Purpose         : log functions
#---------------------------------------------------------------

import syslog

_debug = 0
use_syslog = 1

def _printlog(str, level, force=0):
    if str[-1] == "\n":
        str = str[:-1]
    if _debug or force:
        if use_syslog:
            syslog.openlog('lads', syslog.LOG_PID, syslog.LOG_AUTH)
            syslog.syslog(level, str)
            syslog.closelog()
        else:
            print str

def debug(str):
    _printlog(str, syslog.LOG_DEBUG)
    
def log(str):
    _printlog(str, syslog.LOG_NOTICE, 1)

def alert(str):
    _printlog(str, syslog.LOG_WARNING, 1)

def set_debug(val):
    global _debug
    _debug = val

def set_use_syslog(val):
    global use_syslog
    use_syslog = val
    
# ladslog.py ends here
